Subject: How to get all info from all subclasses?

From: [email-masked]
Date: Sun, 7 Feb 93 15:26:08 -0800

Suppose one wants to retrieve *all* fields from *all* subclasses
of a class.  How does one do that?

If I do ``retrieve (t.all) from t in TOOL*'' in the monitor only the
TOOL fields are printed, even though an instance is retrieved for all
of the subclasses.

If I do ``retrieve portal p (t.all) from t in TOOL*'' I only get 1
group as reported by PQngroups.  The documentation sortof states that
I *should* get as many groups as there are subclasses of TOOL.

In a related question, referring to the above query, how do you find
out what class an instance belongs to?

---
 Robert Withrow, Tel: +1 617 598 4480, Fax: +1 617 598 4430, Net: [email-masked]
 R.W. Withrow Associates, 21 Railroad Ave, Swampscott MA 01907-1821 USA